# 更新日志

所有值得注意的项目更改都将记录在此文件中。

## [1.0.0] - 2024-01-01

### 新增
- 🎉 初始版本发布
- ✨ 文本计算和分析功能
- 🖼️ 图像生成和渲染功能
- 🔧 多模态资源处理支持
- 📝 自定义输出格式支持
- 🛡️ 完整的错误处理和验证
- 📚 详细的文档和示例代码

### 功能特性
- `RCKClient` - 主客户端类
- `ComputeKernel` - 文本计算核心
- `ImageGenerator` - 图像生成核心
- 预定义输出格式Schema
- HTTP客户端封装
- 认证管理
- 参数验证
- 日志系统

### API端点支持
- `/compute/execute` - 文本计算
- `/sd2is/render` - 图像生成

### 示例代码
- 基础使用示例
- 高级功能示例
- 多模态资源示例
- 工作流示例 